Index: /trunk/dports/lang/gcc42/Portfile
===================================================================
--- /trunk/dports/lang/gcc42/Portfile	(revision 97699)
+++ /trunk/dports/lang/gcc42/Portfile	(revision 97700)
@@ -42,5 +42,5 @@
 
 depends_lib		port:gmp port:mpfr port:libiconv
-depends_run		port:gcc_select port:ld64 port:cctools path:lib/libstdc++.dylib:libstdcxx
+depends_run		port:gcc_select port:ld64 port:cctools path:lib/.libstdcxx:libstdcxx
 
 depends_skip_archcheck-append gcc_select ld64 cctools
Index: /trunk/dports/lang/gcc43/Portfile
===================================================================
--- /trunk/dports/lang/gcc43/Portfile	(revision 97699)
+++ /trunk/dports/lang/gcc43/Portfile	(revision 97700)
@@ -55,5 +55,5 @@
 
 depends_lib         port:gmp port:mpfr port:libiconv
-depends_run         port:gcc_select port:ld64 port:cctools path:lib/libstdc++.dylib:libstdcxx
+depends_run         port:gcc_select port:ld64 port:cctools path:lib/.libstdcxx:libstdcxx
 
 depends_skip_archcheck-append gcc_select ld64 cctools
Index: /trunk/dports/lang/gcc44/Portfile
===================================================================
--- /trunk/dports/lang/gcc44/Portfile	(revision 97699)
+++ /trunk/dports/lang/gcc44/Portfile	(revision 97700)
@@ -56,5 +56,5 @@
 
 depends_lib         port:gmp port:mpfr port:libiconv
-depends_run         port:gcc_select port:ld64 port:cctools path:lib/libstdc++.dylib:libstdcxx
+depends_run         port:gcc_select port:ld64 port:cctools path:lib/.libstdcxx:libstdcxx
 
 depends_skip_archcheck-append gcc_select ld64 cctools
Index: /trunk/dports/lang/gcc45/Portfile
===================================================================
--- /trunk/dports/lang/gcc45/Portfile	(revision 97699)
+++ /trunk/dports/lang/gcc45/Portfile	(revision 97700)
@@ -61,5 +61,5 @@
 
 depends_lib         port:gmp port:mpfr port:libiconv port:libmpc port:ppl
-depends_run         port:gcc_select port:ld64 port:cctools path:lib/libstdc++.dylib:libstdcxx
+depends_run         port:gcc_select port:ld64 port:cctools path:.libstdcxx:libstdcxx
 
 depends_skip_archcheck-append gcc_select ld64 cctools
Index: /trunk/dports/lang/gcc46/Portfile
===================================================================
--- /trunk/dports/lang/gcc46/Portfile	(revision 97699)
+++ /trunk/dports/lang/gcc46/Portfile	(revision 97700)
@@ -47,5 +47,5 @@
 
 depends_lib         port:gmp port:mpfr port:libiconv port:libmpc port:ppl port:cloog
-depends_run         port:gcc_select port:ld64 port:cctools path:lib/libstdc++.dylib:libstdcxx
+depends_run         port:gcc_select port:ld64 port:cctools path:lib/.libstdcxx:libstdcxx
 
 depends_skip_archcheck-append gcc_select ld64 cctools
Index: /trunk/dports/lang/gcc47/Portfile
===================================================================
--- /trunk/dports/lang/gcc47/Portfile	(revision 97699)
+++ /trunk/dports/lang/gcc47/Portfile	(revision 97700)
@@ -8,5 +8,5 @@
 epoch               1
 version             4.7.1
-revision            5
+revision            6
 platforms           darwin
 categories          lang
@@ -46,5 +46,5 @@
 
 depends_lib         port:gmp port:mpfr port:libiconv port:libmpc port:ppl port:cloog
-depends_run         port:gcc_select port:ld64 port:cctools path:lib/libstdc++.dylib:libstdcxx
+depends_run         port:gcc_select port:ld64 port:cctools path:lib/.libstdcxx:libstdcxx
 
 depends_skip_archcheck-append gcc_select ld64 cctools
@@ -128,4 +128,7 @@
     configure.args-append --enable-languages=c++
 
+    configure.args-append --disable-bootstrap
+
+    build.target        all
     destroot.target     install-target-libstdc++-v3
 
@@ -134,4 +137,7 @@
         file delete -force ${destroot}${prefix}/share/gcc-${major}
         file delete -force ${destroot}${prefix}/include/${name}
+
+        # base doesn't like the + in this depspec path:lib/libstdc++.dylib:libstdcxx
+        system "touch ${destroot}${prefix}/lib/.libstdcxx"
     }
 } else {
Index: /trunk/dports/lang/gcc48/Portfile
===================================================================
--- /trunk/dports/lang/gcc48/Portfile	(revision 97699)
+++ /trunk/dports/lang/gcc48/Portfile	(revision 97700)
@@ -7,5 +7,5 @@
 subport             libstdcxx-devel {}
 version             4.8-20120909
-revision            3
+revision            4
 platforms           darwin
 categories          lang
@@ -109,4 +109,7 @@
     configure.args-append --enable-languages=c++
 
+    configure.args-append --disable-bootstrap
+
+    build.target        all
     destroot.target     install-target-libstdc++-v3
 
@@ -115,4 +118,7 @@
         file delete -force ${destroot}${prefix}/share/gcc-${major}
         file delete -force ${destroot}${prefix}/include/${name}
+
+        # base doesn't like the + in this depspec path:lib/libstdc++.dylib:libstdcxx
+        system "touch ${destroot}${prefix}/lib/.libstdcxx"
     }
 } else {