Index: /trunk/dports/multimedia/VLC-devel/Portfile
===================================================================
--- /trunk/dports/multimedia/VLC-devel/Portfile	(revision 97718)
+++ /trunk/dports/multimedia/VLC-devel/Portfile	(revision 97719)
@@ -6,5 +6,5 @@
 name                VLC-devel
 version             2.0.99
-revision            1
+revision            2
 
 categories          multimedia
@@ -27,5 +27,5 @@
 fetch.type      git
 git.url         git://git.videolan.org/vlc.git
-git.branch      8cdc20d360fbefa12671abf8ff30c41384d110c7
+git.branch      ac2ccb3a7f28b4771758b0169ac0c6367eab327d
 
 #master_sites        http://download.videolan.org/pub/videolan/vlc/${version}/
@@ -41,5 +41,5 @@
 depends_lib     port:lame port:a52dec port:libogg port:flac \
                 port:libdca port:libcddb port:libcdio port:libmad \
-                port:libvorbis port:libmatroska port:libid3tag \
+                port:libopus port:libvorbis port:libmatroska port:libid3tag \
                 port:ncurses port:lua port:libpng port:jpeg \
                 port:gnutls port:taglib port:libxml2 port:faad2 \
@@ -130,5 +130,5 @@
 configure.args-append \
     --enable-a52 --enable-faad --enable-flac --disable-live555 \
-    --enable-vorbis --enable-ogg --enable-mad --disable-libass \
+    --enable-opus --enable-vorbis --enable-ogg --enable-mad --disable-libass \
     --enable-dca --enable-png --disable-quicktime --enable-twolame \
     --disable-speex --enable-theora --enable-x264 --enable-postproc \
Index: /trunk/dports/multimedia/VLC-devel/files/configure.ac-no-arch.patch
===================================================================
--- /trunk/dports/multimedia/VLC-devel/files/configure.ac-no-arch.patch	(revision 97718)
+++ /trunk/dports/multimedia/VLC-devel/files/configure.ac-no-arch.patch	(revision 97719)
@@ -1,4 +1,4 @@
---- configure.ac.orig	2012-05-03 18:38:38.000000000 -0700
-+++ configure.ac	2012-05-03 18:40:40.000000000 -0700
+--- configure.ac.orig	2012-09-12 15:42:02.000000000 -0700
++++ configure.ac	2012-09-12 15:48:28.000000000 -0700
 @@ -126,35 +126,11 @@ case "${host_os}" in
      SYS=dragonfly
@@ -38,5 +38,5 @@
 +    OBJCFLAGS="${OBJCFLAGS} -D_INTL_REDIRECT_MACROS -std=gnu99"
 +    LDFLAGS="${LDFLAGS} -Wl,-headerpad_max_install_names"
-     VLC_ADD_LIBS([mkv mp4 motion], [-Wl,-framework,IOKit,-framework,CoreFoundation])
-     VLC_ADD_LIBS([libvlc vlc],[-Wl,-undefined,dynamic_lookup])
-     VLC_ADD_LIBS([avcodec avformat access_avio swscale postproc i420_rgb_mmx x264 x26410b],[-Wl,-read_only_relocs,suppress])
+     VLC_ADD_LIBS([motion], [-Wl,-framework,IOKit,-framework,CoreFoundation])
+     VLC_ADD_LIBS([libvlc vlc],[-Wl,-undefined,dynamic_lookup,-framework,Appkit])
+     VLC_ADD_LIBS([avcodec access_avio swscale postproc i420_rgb_mmx x264 x26410b],[-Wl,-read_only_relocs,suppress])
Index: /trunk/dports/multimedia/VLC-devel/files/no-sparkle.patch
===================================================================
--- /trunk/dports/multimedia/VLC-devel/files/no-sparkle.patch	(revision 97718)
+++ /trunk/dports/multimedia/VLC-devel/files/no-sparkle.patch	(revision 97719)
@@ -1,8 +1,8 @@
-diff -Naurp vlc-2.0.1.orig/configure.ac vlc-2.0.1/configure.ac
---- configure.ac	2012-03-08 04:18:41.000000000 -0800
-+++ configure.ac	2012-05-01 23:51:46.000000000 -0700
-@@ -3766,13 +3766,6 @@ then
+diff -Naurp configure.ac configure.ac
+--- configure.ac	2012-09-12 15:56:25.000000000 -0700
++++ configure.ac	2012-09-12 16:13:44.000000000 -0700
+@@ -3614,13 +3614,6 @@ then
  
-   VLC_ADD_LIBS([macosx], [-Wl,-framework,QTKit -Wl,-framework,IOKit -Wl,-framework,AddressBook -Wl,-framework,WebKit])
+   VLC_ADD_LIBS([macosx], [-Wl,-framework,QTKit -Wl,-framework,IOKit -Wl,-framework,AddressBook -Wl,-framework,WebKit -Wl,-framework,CoreAudio -Wl,-framework,SystemConfiguration])
  
 -  if test ! -d ${CONTRIB_DIR}/Sparkle.framework
@@ -16,60 +16,8 @@
    then
      AC_MSG_ERROR([BGHUDAppKit framework is required and was not found in ${CONTRIB_DIR}])
-diff -Naurp vlc-2.0.1.orig/modules/gui/macosx/intf.m vlc-2.0.1/modules/gui/macosx/intf.m
---- modules/gui/macosx/intf.m	2012-03-14 04:07:48.000000000 -0700
-+++ modules/gui/macosx/intf.m	2012-05-01 23:53:28.000000000 -0700
-@@ -62,7 +62,6 @@
- #import "TrackSynchronization.h"
- 
- #import <AddressBook/AddressBook.h>         /* for crashlog send mechanism */
--#import <Sparkle/Sparkle.h>                 /* we're the update delegate */
- 
- /*****************************************************************************
-  * Local prototypes.
-@@ -788,16 +787,6 @@ static VLCMain *_o_sharedMainInstance = 
- }
- 
- #pragma mark -
--#pragma mark Sparkle delegate
--/* received directly before the update gets installed, so let's shut down a bit */
--- (void)updater:(SUUpdater *)updater willInstallUpdate:(SUAppcastItem *)update
--{
--    [NSApp activateIgnoringOtherApps:YES];
--    [o_remote stopListening: self];
--    [[VLCCoreInteraction sharedInstance] stop];
--}
--
--#pragma mark -
- #pragma mark Media Key support
- 
- -(void)mediaKeyTap:(SPMediaKeyTap*)keyTap receivedMediaKeyEvent:(NSEvent*)event
-diff -Naurp vlc-2.0.1.orig/modules/gui/macosx/simple_prefs.m vlc-2.0.1/modules/gui/macosx/simple_prefs.m
---- modules/gui/macosx/simple_prefs.m	2012-03-15 16:55:17.000000000 -0700
-+++ modules/gui/macosx/simple_prefs.m	2012-05-01 23:54:38.000000000 -0700
-@@ -36,8 +36,6 @@
- #import "intf.h"
- #import "AppleRemote.h"
- 
--#import <Sparkle/Sparkle.h>                        //for o_intf_last_update_lbl
--
- static NSString* VLCSPrefsToolbarIdentifier = @"Our Simple Preferences Toolbar Identifier";
- static NSString* VLCIntfSettingToolbarIdentifier = @"Intf Settings Item Identifier";
- static NSString* VLCAudioSettingToolbarIdentifier = @"Audio Settings Item Identifier";
-@@ -483,10 +481,6 @@ static inline char * __config_GetLabel( 
-     [self setupButton: o_intf_appleremote_ckb forBoolValue: "macosx-appleremote"];
- 
-     [self setupButton: o_intf_mediakeys_ckb forBoolValue: "macosx-mediakeys"];
--    if( [[SUUpdater sharedUpdater] lastUpdateCheckDate] != NULL )
--        [o_intf_last_update_lbl setStringValue: [NSString stringWithFormat: _NS("Last check on: %@"), [[[SUUpdater sharedUpdater] lastUpdateCheckDate] descriptionWithLocale: [[NSUserDefaults standardUserDefaults] dictionaryRepresentation]]]];
--    else
--        [o_intf_last_update_lbl setStringValue: _NS("No check was performed yet.")];
-     psz_tmp = config_GetPsz( p_intf, "control" );
-     if (psz_tmp) {
-         [o_intf_enableGrowl_ckb setState: (NSInteger)strstr( psz_tmp, "growl")];
-diff --git a/extras/package/macosx/Resources/English.lproj/Preferences.xib b/extras/package/macosx/Resources/English.lproj/Preferences.xib
-index 8682829..29e653a 100644
---- extras/package/macosx/Resources/English.lproj/Preferences.xib
-+++ extras/package/macosx/Resources/English.lproj/Preferences.xib
-@@ -4423,9 +4423,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
+diff -Naurp extras/package/macosx/Resources/English.lproj/Preferences.xib extras/package/macosx/Resources/English.lproj/Preferences.xib
+--- extras/package/macosx/Resources/English.lproj/Preferences.xib	2012-09-12 15:56:18.000000000 -0700
++++ extras/package/macosx/Resources/English.lproj/Preferences.xib	2012-09-12 16:13:44.000000000 -0700
+@@ -4467,9 +4467,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAI
          <string key="NSMaxSize">{1.7976931348623157e+308, 1.7976931348623157e+308}</string>
          <bool key="NSWindowIsRestorable">YES</bool>
@@ -81,5 +29,5 @@
      <object class="IBObjectContainer" key="IBDocument.Objects">
        <object class="NSMutableArray" key="connectionRecords">
-@@ -5783,22 +5780,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
+@@ -5803,22 +5800,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAI
            <int key="connectionID">3554</int>
          </object>
@@ -104,5 +52,5 @@
              <string key="label">o_intf_update_ckb</string>
              <reference key="source" ref="150917409"/>
-@@ -8373,12 +8354,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAIAAgACAABAAEAAQABA</bytes>
+@@ -8384,12 +8365,6 @@ AAMAAAABAAEAAAFTAAMAAAAEAAAFwgAAAAAACAAI
              <reference key="parent" ref="492678965"/>
            </object>
@@ -117,2 +65,61 @@
              <reference key="object" ref="243384014"/>
              <object class="NSMutableArray" key="children">
+diff -Naurp modules/gui/macosx/intf.m modules/gui/macosx/intf.m
+--- modules/gui/macosx/intf.m	2012-09-12 15:56:20.000000000 -0700
++++ modules/gui/macosx/intf.m	2012-09-12 16:13:44.000000000 -0700
+@@ -65,7 +65,6 @@
+ #import "TrackSynchronization.h"
+ 
+ #import <AddressBook/AddressBook.h>         /* for crashlog send mechanism */
+-#import <Sparkle/Sparkle.h>                 /* we're the update delegate */
+ 
+ /*****************************************************************************
+  * Local prototypes.
+@@ -821,16 +820,6 @@ static VLCMain *_o_sharedMainInstance = 
+ }
+ 
+ #pragma mark -
+-#pragma mark Sparkle delegate
+-/* received directly before the update gets installed, so let's shut down a bit */
+-- (void)updater:(SUUpdater *)updater willInstallUpdate:(SUAppcastItem *)update
+-{
+-    [NSApp activateIgnoringOtherApps:YES];
+-    [o_remote stopListening: self];
+-    [[VLCCoreInteraction sharedInstance] stop];
+-}
+-
+-#pragma mark -
+ #pragma mark Media Key support
+ 
+ -(void)mediaKeyTap:(SPMediaKeyTap*)keyTap receivedMediaKeyEvent:(NSEvent*)event
+diff -Naurp modules/gui/macosx/simple_prefs.m modules/gui/macosx/simple_prefs.m
+--- modules/gui/macosx/simple_prefs.m	2012-09-12 15:56:20.000000000 -0700
++++ modules/gui/macosx/simple_prefs.m	2012-09-12 16:15:31.000000000 -0700
+@@ -39,8 +39,6 @@
+ #import "AppleRemote.h"
+ #import "CoreInteraction.h"
+ 
+-#import <Sparkle/Sparkle.h>                        //for o_intf_last_update_lbl
+-
+ static NSString* VLCSPrefsToolbarIdentifier = @"Our Simple Preferences Toolbar Identifier";
+ static NSString* VLCIntfSettingToolbarIdentifier = @"Intf Settings Item Identifier";
+ static NSString* VLCAudioSettingToolbarIdentifier = @"Audio Settings Item Identifier";
+@@ -229,7 +227,6 @@ create_toolbar_item(NSString * o_itemIde
+     [o_intf_appleremote_sysvol_ckb setTitle: _NS("Control system volume with the Apple Remote")];
+     [o_intf_mediakeys_ckb setTitle: _NS("Control playback with media keys")];
+     [o_intf_update_ckb setTitle: _NS("Automatically check for updates")];
+-    [o_intf_last_update_lbl setStringValue: @""];
+     [o_intf_enableGrowl_ckb setTitle: _NS("Enable Growl notifications (on playlist item change)")];
+     [o_intf_autoresize_ckb setTitle: _NS("Resize interface to the native video size")];
+     [o_intf_pauseminimized_ckb setTitle: _NS("Pause the video playback when minimized")];
+@@ -433,10 +430,6 @@ static inline char * __config_GetLabel(v
+     [self setupButton: o_intf_appleremote_sysvol_ckb forBoolValue: "macosx-appleremote-sysvol"];
+ 
+     [self setupButton: o_intf_mediakeys_ckb forBoolValue: "macosx-mediakeys"];
+-    if ([[SUUpdater sharedUpdater] lastUpdateCheckDate] != NULL)
+-        [o_intf_last_update_lbl setStringValue: [NSString stringWithFormat: _NS("Last check on: %@"), [[[SUUpdater sharedUpdater] lastUpdateCheckDate] descriptionWithLocale: [[NSUserDefaults standardUserDefaults] dictionaryRepresentation]]]];
+-    else
+-        [o_intf_last_update_lbl setStringValue: _NS("No check was performed yet.")];
+     psz_tmp = config_GetPsz(p_intf, "control");
+     if (psz_tmp) {
+         [o_intf_enableGrowl_ckb setState: (NSInteger)strstr(psz_tmp, "growl")];