Index: /trunk/dports/devel/ld64/Portfile
===================================================================
--- /trunk/dports/devel/ld64/Portfile	(revision 97799)
+++ /trunk/dports/devel/ld64/Portfile	(revision 97800)
@@ -67,4 +67,6 @@
 }
 
+set makefile "Makefile-133"
+
 if {${os.arch} == "powerpc" || ${os.major} < 9} {
     # XCode 3.2.6
@@ -76,6 +78,8 @@
     supported_archs     x86_64 i386 ppc
 
+    set makefile	"Makefile-97"
+
     patchfiles-delete   ld64-133-no-CrashReporterClient.h.patch
-    patchfiles-append   ld64-97-no-LTO.patch ld64-97-Makefile.patch
+    patchfiles-append   ld64-97-no-LTO.patch
 } elseif {${os.major} < 11} {
     # XCode 4.2
@@ -87,6 +91,8 @@
     supported_archs     i386 x86_64
 
+    set makefile	"Makefile-127"
+
     patchfiles-delete   ld64-133-no-CrashReporterClient.h.patch
-    patchfiles-append   ld64-127-any-cctools.patch ld64-127-Makefile.patch
+    patchfiles-append   ld64-127-any-cctools.patch
 }
 
@@ -117,5 +123,5 @@
 
 post-extract {
-    file copy ${filespath}/Makefile ${worksrcpath}
+    file copy ${filespath}/${makefile} ${worksrcpath}
 }
 
Index: unk/dports/devel/ld64/files/Makefile
===================================================================
--- /trunk/dports/devel/ld64/files/Makefile	(revision 97799)
+++ 	(revision )
@@ -1,104 +1,0 @@
-ifdef LLVM_CONFIG
-LLVM_CPPFLAGS := -I$(shell $(LLVM_CONFIG) --includedir) -DLTO_SUPPORT
-LLVM_LDFLAGS := -L$(shell $(LLVM_CONFIG) --libdir) -lLTO
-endif
-
-CPPFLAGS = $(LLVM_CPPFLAGS) -Isrc/abstraction -Isrc/ld -Isrc/ld/parsers $(OTHER_CPPFLAGS)
-CFLAGS = -Os $(OTHER_CFLAGS)
-CXXFLAGS = -Os $(OTHER_CXXFLAGS)
-LDFLAGS = $(OTHER_LDFLAGS)
-
-ifndef RANLIB
-RANLIB = ranlib
-endif
-ifndef AR
-AR = ar
-endif
-ifndef PREFIX
-PREFIX = /usr
-endif
-
-all : ObjectDump dyldinfo ld machocheck rebase unwinddump libprunetrie.a
-
-src/ld/Snapshot.o : src/ld/compile_stubs.h
-src/ld/compile_stubs.h : compile_stubs
-	echo "static const char *compile_stubs = " > $@
-	cat $^ | sed s/\"/\\\\\"/g | sed s/^/\"/ | sed s/$$/\\\\n\"/ >> $@
-	echo ";" >> $@
-
-src/ld/ld.o : src/ld/configure.h
-src/other/ObjectDump.o : src/ld/configure.h
-src/ld/Options.o : src/ld/configure.h
-src/ld/configure.h : src/create_configure
-	DERIVED_SOURCES_DIR=src/ld DERIVED_FILE_DIR=src/ld $^ > $@
-
-ObjectDump : src/ld/debugline.o
-ObjectDump : src/ld/parsers/macho_relocatable_file.o 
-ObjectDump : src/ld/parsers/lto_file.o
-ObjectDump : src/other/ObjectDump.o 
-	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $^ -o $@
-
-dyldinfo : src/other/dyldinfo.o
-	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
-
-ld : src/ld/debugline.o
-ld : src/ld/ld.o
-ld : src/ld/InputFiles.o
-ld : src/ld/Options.o
-ld : src/ld/OutputFile.o
-ld : src/ld/Resolver.o
-ld : src/ld/Snapshot.o
-ld : src/ld/SymbolTable.o
-ld : src/ld/parsers/archive_file.o
-ld : src/ld/parsers/lto_file.o
-ld : src/ld/parsers/macho_dylib_file.o
-ld : src/ld/parsers/macho_relocatable_file.o
-ld : src/ld/parsers/opaque_section_file.o
-ld : src/ld/passes/branch_island.o
-ld : src/ld/passes/branch_shim.o
-ld : src/ld/passes/compact_unwind.o
-ld : src/ld/passes/dtrace_dof.o
-ld : src/ld/passes/dylibs.o
-ld : src/ld/passes/got.o
-ld : src/ld/passes/huge.o
-ld : src/ld/passes/objc.o
-ld : src/ld/passes/order.o
-ld : src/ld/passes/tlvp.o
-ld : src/ld/passes/stubs/stubs.o
-	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $(OTHER_LDFLAGS_LD64) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
-
-machocheck : src/other/machochecker.o
-	$(CXX) $(LDFLAGS) $^ -o $@
-
-rebase : src/other/rebase.o
-	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
-
-unwinddump : src/other/unwinddump.o
-	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
-
-libprunetrie.a : src/other/PruneTrie.o
-	$(AR) cru $@ $^
-	$(RANLIB) $@
-
-install : all
-	install -d -m 755 $(DESTDIR)$(PREFIX)/bin
-	install -d -m 755 $(DESTDIR)$(PREFIX)/lib
-	install -d -m 755 $(DESTDIR)$(PREFIX)/include/mach-o
-	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man1
-	
-	install -m 755 ObjectDump $(DESTDIR)$(PREFIX)/bin
-	install -m 755 dyldinfo   $(DESTDIR)$(PREFIX)/bin
-	install -m 755 ld         $(DESTDIR)$(PREFIX)/bin
-	install -m 755 machocheck $(DESTDIR)$(PREFIX)/bin
-	install -m 755 rebase     $(DESTDIR)$(PREFIX)/bin
-	install -m 755 unwinddump $(DESTDIR)$(PREFIX)/bin
-
-	install -m 644 src/other/prune_trie.h $(DESTDIR)$(PREFIX)/include/mach-o
-	install -m 644 libprunetrie.a $(DESTDIR)$(PREFIX)/lib
-
-	install -m 644 doc/man/man1/dyldinfo.1   $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 644 doc/man/man1/ld.1         $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 644 doc/man/man1/ld64.1       $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 644 doc/man/man1/rebase.1     $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 644 doc/man/man1/unwinddump.1 $(DESTDIR)$(PREFIX)/share/man/man1
-
Index: /trunk/dports/devel/ld64/files/Makefile-127
===================================================================
--- /trunk/dports/devel/ld64/files/Makefile-127	(revision 97800)
+++ /trunk/dports/devel/ld64/files/Makefile-127	(revision 97800)
@@ -0,0 +1,96 @@
+ifdef LLVM_CONFIG
+LLVM_CPPFLAGS := -I$(shell $(LLVM_CONFIG) --includedir) -DLTO_SUPPORT
+LLVM_LDFLAGS := -L$(shell $(LLVM_CONFIG) --libdir) -lLTO
+endif
+
+CPPFLAGS = $(LLVM_CPPFLAGS) -Isrc/abstraction -Isrc/ld -Isrc/ld/parsers $(OTHER_CPPFLAGS)
+CFLAGS = -Os $(OTHER_CFLAGS)
+CXXFLAGS = -Os $(OTHER_CXXFLAGS)
+LDFLAGS = $(OTHER_LDFLAGS)
+
+ifndef RANLIB
+RANLIB = ranlib
+endif
+ifndef AR
+AR = ar
+endif
+ifndef PREFIX
+PREFIX = /usr
+endif
+
+all : ObjectDump dyldinfo ld machocheck rebase unwinddump libprunetrie.a
+
+src/ld/ld.o : src/ld/configure.h
+src/ld/Options.o : src/ld/configure.h
+src/ld/configure.h :
+	touch $@
+
+ObjectDump : src/ld/debugline.o
+ObjectDump : src/ld/parsers/macho_relocatable_file.o 
+ObjectDump : src/ld/parsers/lto_file.o
+ObjectDump : src/other/ObjectDump.o 
+	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $^ -o $@
+
+dyldinfo : src/other/dyldinfo.o
+	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+ld : src/ld/debugline.o
+ld : src/ld/ld.o
+ld : src/ld/InputFiles.o
+ld : src/ld/Options.o
+ld : src/ld/OutputFile.o
+ld : src/ld/Resolver.o
+ld : src/ld/SymbolTable.o
+ld : src/ld/parsers/archive_file.o
+ld : src/ld/parsers/lto_file.o
+ld : src/ld/parsers/macho_dylib_file.o
+ld : src/ld/parsers/macho_relocatable_file.o
+ld : src/ld/parsers/opaque_section_file.o
+ld : src/ld/passes/branch_island.o
+ld : src/ld/passes/branch_shim.o
+ld : src/ld/passes/compact_unwind.o
+ld : src/ld/passes/dtrace_dof.o
+ld : src/ld/passes/dylibs.o
+ld : src/ld/passes/got.o
+ld : src/ld/passes/huge.o
+ld : src/ld/passes/objc.o
+ld : src/ld/passes/order_file.o
+ld : src/ld/passes/tlvp.o
+ld : src/ld/passes/stubs/stubs.o
+	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $(OTHER_LDFLAGS_LD64) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+machocheck : src/other/machochecker.o
+	$(CXX) $(LDFLAGS) $^ -o $@
+
+rebase : src/other/rebase.o
+	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+unwinddump : src/other/unwinddump.o
+	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+libprunetrie.a : src/other/PruneTrie.o
+	$(AR) cru $@ $^
+	$(RANLIB) $@
+
+install : all
+	install -d -m 755 $(DESTDIR)$(PREFIX)/bin
+	install -d -m 755 $(DESTDIR)$(PREFIX)/lib
+	install -d -m 755 $(DESTDIR)$(PREFIX)/include/mach-o
+	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man1
+	
+	install -m 755 ObjectDump $(DESTDIR)$(PREFIX)/bin
+	install -m 755 dyldinfo   $(DESTDIR)$(PREFIX)/bin
+	install -m 755 ld         $(DESTDIR)$(PREFIX)/bin
+	install -m 755 machocheck $(DESTDIR)$(PREFIX)/bin
+	install -m 755 rebase     $(DESTDIR)$(PREFIX)/bin
+	install -m 755 unwinddump $(DESTDIR)$(PREFIX)/bin
+
+	install -m 644 src/other/prune_trie.h $(DESTDIR)$(PREFIX)/include/mach-o
+	install -m 644 libprunetrie.a $(DESTDIR)$(PREFIX)/lib
+
+	install -m 644 doc/man/man1/dyldinfo.1   $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/ld.1         $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/ld64.1       $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/rebase.1     $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/unwinddump.1 $(DESTDIR)$(PREFIX)/share/man/man1
+
Index: /trunk/dports/devel/ld64/files/Makefile-133
===================================================================
--- /trunk/dports/devel/ld64/files/Makefile-133	(revision 97800)
+++ /trunk/dports/devel/ld64/files/Makefile-133	(revision 97800)
@@ -0,0 +1,104 @@
+ifdef LLVM_CONFIG
+LLVM_CPPFLAGS := -I$(shell $(LLVM_CONFIG) --includedir) -DLTO_SUPPORT
+LLVM_LDFLAGS := -L$(shell $(LLVM_CONFIG) --libdir) -lLTO
+endif
+
+CPPFLAGS = $(LLVM_CPPFLAGS) -Isrc/abstraction -Isrc/ld -Isrc/ld/parsers $(OTHER_CPPFLAGS)
+CFLAGS = -Os $(OTHER_CFLAGS)
+CXXFLAGS = -Os $(OTHER_CXXFLAGS)
+LDFLAGS = $(OTHER_LDFLAGS)
+
+ifndef RANLIB
+RANLIB = ranlib
+endif
+ifndef AR
+AR = ar
+endif
+ifndef PREFIX
+PREFIX = /usr
+endif
+
+all : ObjectDump dyldinfo ld machocheck rebase unwinddump libprunetrie.a
+
+src/ld/Snapshot.o : src/ld/compile_stubs.h
+src/ld/compile_stubs.h : compile_stubs
+	echo "static const char *compile_stubs = " > $@
+	cat $^ | sed s/\"/\\\\\"/g | sed s/^/\"/ | sed s/$$/\\\\n\"/ >> $@
+	echo ";" >> $@
+
+src/ld/ld.o : src/ld/configure.h
+src/other/ObjectDump.o : src/ld/configure.h
+src/ld/Options.o : src/ld/configure.h
+src/ld/configure.h : src/create_configure
+	DERIVED_SOURCES_DIR=src/ld DERIVED_FILE_DIR=src/ld $^ > $@
+
+ObjectDump : src/ld/debugline.o
+ObjectDump : src/ld/parsers/macho_relocatable_file.o 
+ObjectDump : src/ld/parsers/lto_file.o
+ObjectDump : src/other/ObjectDump.o 
+	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $^ -o $@
+
+dyldinfo : src/other/dyldinfo.o
+	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+ld : src/ld/debugline.o
+ld : src/ld/ld.o
+ld : src/ld/InputFiles.o
+ld : src/ld/Options.o
+ld : src/ld/OutputFile.o
+ld : src/ld/Resolver.o
+ld : src/ld/Snapshot.o
+ld : src/ld/SymbolTable.o
+ld : src/ld/parsers/archive_file.o
+ld : src/ld/parsers/lto_file.o
+ld : src/ld/parsers/macho_dylib_file.o
+ld : src/ld/parsers/macho_relocatable_file.o
+ld : src/ld/parsers/opaque_section_file.o
+ld : src/ld/passes/branch_island.o
+ld : src/ld/passes/branch_shim.o
+ld : src/ld/passes/compact_unwind.o
+ld : src/ld/passes/dtrace_dof.o
+ld : src/ld/passes/dylibs.o
+ld : src/ld/passes/got.o
+ld : src/ld/passes/huge.o
+ld : src/ld/passes/objc.o
+ld : src/ld/passes/order.o
+ld : src/ld/passes/tlvp.o
+ld : src/ld/passes/stubs/stubs.o
+	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $(OTHER_LDFLAGS_LD64) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+machocheck : src/other/machochecker.o
+	$(CXX) $(LDFLAGS) $^ -o $@
+
+rebase : src/other/rebase.o
+	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+unwinddump : src/other/unwinddump.o
+	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+libprunetrie.a : src/other/PruneTrie.o
+	$(AR) cru $@ $^
+	$(RANLIB) $@
+
+install : all
+	install -d -m 755 $(DESTDIR)$(PREFIX)/bin
+	install -d -m 755 $(DESTDIR)$(PREFIX)/lib
+	install -d -m 755 $(DESTDIR)$(PREFIX)/include/mach-o
+	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man1
+	
+	install -m 755 ObjectDump $(DESTDIR)$(PREFIX)/bin
+	install -m 755 dyldinfo   $(DESTDIR)$(PREFIX)/bin
+	install -m 755 ld         $(DESTDIR)$(PREFIX)/bin
+	install -m 755 machocheck $(DESTDIR)$(PREFIX)/bin
+	install -m 755 rebase     $(DESTDIR)$(PREFIX)/bin
+	install -m 755 unwinddump $(DESTDIR)$(PREFIX)/bin
+
+	install -m 644 src/other/prune_trie.h $(DESTDIR)$(PREFIX)/include/mach-o
+	install -m 644 libprunetrie.a $(DESTDIR)$(PREFIX)/lib
+
+	install -m 644 doc/man/man1/dyldinfo.1   $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/ld.1         $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/ld64.1       $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/rebase.1     $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/unwinddump.1 $(DESTDIR)$(PREFIX)/share/man/man1
+
Index: /trunk/dports/devel/ld64/files/Makefile-97
===================================================================
--- /trunk/dports/devel/ld64/files/Makefile-97	(revision 97800)
+++ /trunk/dports/devel/ld64/files/Makefile-97	(revision 97800)
@@ -0,0 +1,74 @@
+ifdef LLVM_CONFIG
+LLVM_CPPFLAGS := -I$(shell $(LLVM_CONFIG) --includedir) -DLTO_SUPPORT
+LLVM_LDFLAGS := -L$(shell $(LLVM_CONFIG) --libdir) -lLTO
+endif
+
+CPPFLAGS = $(LLVM_CPPFLAGS) -Isrc/abstraction -Isrc/ld $(OTHER_CPPFLAGS)
+CFLAGS = -Os $(OTHER_CFLAGS)
+CXXFLAGS = -Os $(OTHER_CXXFLAGS)
+LDFLAGS = $(OTHER_LDFLAGS)
+
+ifndef RANLIB
+RANLIB = ranlib
+endif
+ifndef AR
+AR = ar
+endif
+ifndef PREFIX
+PREFIX = /usr
+endif
+
+all : ObjectDump dyldinfo ld machocheck rebase unwinddump libprunetrie.a
+
+src/ld/ld.o : src/ld/configure.h
+src/ld/Options.o : src/ld/configure.h
+src/ld/configure.h :
+	touch $@
+
+ObjectDump : src/ld/debugline.o
+ObjectDump : src/other/ObjectDump.o 
+	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $^ -o $@
+
+dyldinfo : src/other/dyldinfo.o
+	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+ld : src/ld/debugline.o
+ld : src/ld/ld.o
+ld : src/ld/Options.o
+	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $(OTHER_LDFLAGS_LD64) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+machocheck : src/other/machochecker.o
+	$(CXX) $(LDFLAGS) $^ -o $@
+
+rebase : src/other/rebase.o
+	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+unwinddump : src/other/unwinddump.o
+	$(CXX) $(LDFLAGS) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
+
+libprunetrie.a : src/other/PruneTrie.o
+	$(AR) cru $@ $^
+	$(RANLIB) $@
+
+install : all
+	install -d -m 755 $(DESTDIR)$(PREFIX)/bin
+	install -d -m 755 $(DESTDIR)$(PREFIX)/lib
+	install -d -m 755 $(DESTDIR)$(PREFIX)/include/mach-o
+	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man1
+	
+	install -m 755 ObjectDump $(DESTDIR)$(PREFIX)/bin
+	install -m 755 dyldinfo   $(DESTDIR)$(PREFIX)/bin
+	install -m 755 ld         $(DESTDIR)$(PREFIX)/bin
+	install -m 755 machocheck $(DESTDIR)$(PREFIX)/bin
+	install -m 755 rebase     $(DESTDIR)$(PREFIX)/bin
+	install -m 755 unwinddump $(DESTDIR)$(PREFIX)/bin
+
+	install -m 644 src/other/prune_trie.h $(DESTDIR)$(PREFIX)/include/mach-o
+	install -m 644 libprunetrie.a $(DESTDIR)$(PREFIX)/lib
+
+	install -m 644 doc/man/man1/dyldinfo.1   $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/ld.1         $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/ld64.1       $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/rebase.1     $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 644 doc/man/man1/unwinddump.1 $(DESTDIR)$(PREFIX)/share/man/man1
+
Index: unk/dports/devel/ld64/files/ld64-127-Makefile.patch
===================================================================
--- /trunk/dports/devel/ld64/files/ld64-127-Makefile.patch	(revision 97799)
+++ 	(revision )
@@ -1,39 +1,0 @@
---- Makefile-133	2012-09-04 14:50:18.000000000 -0700
-+++ Makefile	2012-09-04 14:49:26.000000000 -0700
-@@ -20,17 +20,10 @@ endif
- 
- all : ObjectDump dyldinfo ld machocheck rebase unwinddump libprunetrie.a
- 
--src/ld/Snapshot.o : src/ld/compile_stubs.h
--src/ld/compile_stubs.h : compile_stubs
--	echo "static const char *compile_stubs = " > $@
--	cat $^ | sed s/\"/\\\\\"/g | sed s/^/\"/ | sed s/$$/\\\\n\"/ >> $@
--	echo ";" >> $@
--
- src/ld/ld.o : src/ld/configure.h
--src/other/ObjectDump.o : src/ld/configure.h
- src/ld/Options.o : src/ld/configure.h
--src/ld/configure.h : src/create_configure
--	DERIVED_SOURCES_DIR=src/ld DERIVED_FILE_DIR=src/ld $^ > $@
-+src/ld/configure.h :
-+	touch $@
- 
- ObjectDump : src/ld/debugline.o
- ObjectDump : src/ld/parsers/macho_relocatable_file.o 
-@@ -47,7 +40,6 @@ ld : src/ld/InputFiles.o
- ld : src/ld/Options.o
- ld : src/ld/OutputFile.o
- ld : src/ld/Resolver.o
--ld : src/ld/Snapshot.o
- ld : src/ld/SymbolTable.o
- ld : src/ld/parsers/archive_file.o
- ld : src/ld/parsers/lto_file.o
-@@ -62,7 +54,7 @@ ld : src/ld/passes/dylibs.o
- ld : src/ld/passes/got.o
- ld : src/ld/passes/huge.o
- ld : src/ld/passes/objc.o
--ld : src/ld/passes/order.o
-+ld : src/ld/passes/order_file.o
- ld : src/ld/passes/tlvp.o
- ld : src/ld/passes/stubs/stubs.o
- 	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $(OTHER_LDFLAGS_LD64) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
Index: unk/dports/devel/ld64/files/ld64-97-Makefile.patch
===================================================================
--- /trunk/dports/devel/ld64/files/ld64-97-Makefile.patch	(revision 97799)
+++ 	(revision )
@@ -1,64 +1,0 @@
---- Makefile-133	2012-09-04 14:50:18.000000000 -0700
-+++ Makefile	2012-09-04 14:50:51.000000000 -0700
-@@ -3,7 +3,7 @@ LLVM_CPPFLAGS := -I$(shell $(LLVM_CONFIG
- LLVM_LDFLAGS := -L$(shell $(LLVM_CONFIG) --libdir) -lLTO
- endif
- 
--CPPFLAGS = $(LLVM_CPPFLAGS) -Isrc/abstraction -Isrc/ld -Isrc/ld/parsers $(OTHER_CPPFLAGS)
-+CPPFLAGS = $(LLVM_CPPFLAGS) -Isrc/abstraction -Isrc/ld $(OTHER_CPPFLAGS)
- CFLAGS = -Os $(OTHER_CFLAGS)
- CXXFLAGS = -Os $(OTHER_CXXFLAGS)
- LDFLAGS = $(OTHER_LDFLAGS)
-@@ -20,21 +20,12 @@ endif
- 
- all : ObjectDump dyldinfo ld machocheck rebase unwinddump libprunetrie.a
- 
--src/ld/Snapshot.o : src/ld/compile_stubs.h
--src/ld/compile_stubs.h : compile_stubs
--	echo "static const char *compile_stubs = " > $@
--	cat $^ | sed s/\"/\\\\\"/g | sed s/^/\"/ | sed s/$$/\\\\n\"/ >> $@
--	echo ";" >> $@
--
- src/ld/ld.o : src/ld/configure.h
--src/other/ObjectDump.o : src/ld/configure.h
- src/ld/Options.o : src/ld/configure.h
--src/ld/configure.h : src/create_configure
--	DERIVED_SOURCES_DIR=src/ld DERIVED_FILE_DIR=src/ld $^ > $@
-+src/ld/configure.h :
-+	touch $@
- 
- ObjectDump : src/ld/debugline.o
--ObjectDump : src/ld/parsers/macho_relocatable_file.o 
--ObjectDump : src/ld/parsers/lto_file.o
- ObjectDump : src/other/ObjectDump.o 
- 	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $^ -o $@
- 
-@@ -43,28 +34,7 @@ dyldinfo : src/other/dyldinfo.o
- 
- ld : src/ld/debugline.o
- ld : src/ld/ld.o
--ld : src/ld/InputFiles.o
- ld : src/ld/Options.o
--ld : src/ld/OutputFile.o
--ld : src/ld/Resolver.o
--ld : src/ld/Snapshot.o
--ld : src/ld/SymbolTable.o
--ld : src/ld/parsers/archive_file.o
--ld : src/ld/parsers/lto_file.o
--ld : src/ld/parsers/macho_dylib_file.o
--ld : src/ld/parsers/macho_relocatable_file.o
--ld : src/ld/parsers/opaque_section_file.o
--ld : src/ld/passes/branch_island.o
--ld : src/ld/passes/branch_shim.o
--ld : src/ld/passes/compact_unwind.o
--ld : src/ld/passes/dtrace_dof.o
--ld : src/ld/passes/dylibs.o
--ld : src/ld/passes/got.o
--ld : src/ld/passes/huge.o
--ld : src/ld/passes/objc.o
--ld : src/ld/passes/order.o
--ld : src/ld/passes/tlvp.o
--ld : src/ld/passes/stubs/stubs.o
- 	$(CXX) $(LLVM_LDFLAGS) $(LDFLAGS) $(OTHER_LDFLAGS_LD64) -Wl,-exported_symbol,__mh_execute_header $^ -o $@
- 
- machocheck : src/other/machochecker.o